package com.tenlionsoft.oamodule.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.io.Serializable;

/**
 * 作者: adam
 * 日期: 2022/4/13 - 9:47 上午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class DriverBean implements IPickerViewData, Serializable {

    private int driverAge;
    private int driverExperience;
    private String driverGender;
    private String driverGenderName;
    private String driverId;
    private String driverLicense;
    private String driverLicenseEndTime;
    private String driverLicenseName;
    private String driverName;

    public int getDriverAge() {
        return driverAge;
    }

    public void setDriverAge(int driverAge) {
        this.driverAge = driverAge;
    }

    public int getDriverExperience() {
        return driverExperience;
    }

    public void setDriverExperience(int driverExperience) {
        this.driverExperience = driverExperience;
    }

    public String getDriverGender() {
        return driverGender;
    }

    public void setDriverGender(String driverGender) {
        this.driverGender = driverGender;
    }

    public String getDriverGenderName() {
        return driverGenderName;
    }

    public void setDriverGenderName(String driverGenderName) {
        this.driverGenderName = driverGenderName;
    }

    public String getDriverId() {
        return driverId;
    }

    public void setDriverId(String driverId) {
        this.driverId = driverId;
    }

    public String getDriverLicense() {
        return driverLicense;
    }

    public void setDriverLicense(String driverLicense) {
        this.driverLicense = driverLicense;
    }

    public String getDriverLicenseEndTime() {
        return driverLicenseEndTime;
    }

    public void setDriverLicenseEndTime(String driverLicenseEndTime) {
        this.driverLicenseEndTime = driverLicenseEndTime;
    }

    public String getDriverLicenseName() {
        return driverLicenseName;
    }

    public void setDriverLicenseName(String driverLicenseName) {
        this.driverLicenseName = driverLicenseName;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    @Override
    public String getPickerViewText() {
        return driverName;
    }
}
